/**
 * ProcessingType.java
 *
 * File generated from the core::ProcessingType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.hpd;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ProcessingType.
 *
 */

@XmlType(name = "ProcessingType")
@XmlEnum
@XmlRootElement(name = "ProcessingType")
public enum ProcessingType {
	@XmlEnumValue("sequential")
	SEQUENTIAL("sequential"),
	@XmlEnumValue("parallel")
	PARALLEL("parallel");
	
	private final String value;

    ProcessingType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ProcessingType fromValue(String v) {
        for (ProcessingType c: ProcessingType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}